Quick Navigation

RSS Feed Facebook Twitter YouTube Share

Blackboard News

Website Security Certificate Error

Date posted: 11/20/2006

Blackboard users who have upgraded Internet Explorer to version 7.0 may notice a warning message when attempting to access Blackboard that states, “There is a problem with this website’s security certificate” as depicted below.

If you have received this message in Internet Explorer or any other browser, install the NIU security certificates for the browser that you are using. Click here for instructions and links to download and install the security certificates. Additional details are also included in episode 7 of the Teaching with Blackboard podcast.

Security Certificate Error

Last Updated: 5/24/2011